package com.bernard.greposimu.model.simulator.command;

import com.bernard.greposimu.model.game.Resources;
import com.bernard.greposimu.model.game.researches.Research;

public class ResearchCommand extends TownCommand {

	Research research;
	boolean forget;
	public ResearchCommand(int town, Resources need, Research research, boolean forget) {
		this.town = town;
		this.need = need;
		this.research = research;
		this.forget = forget;
	}
	
	@Override
	public String toString() {
		if(forget)
			return "[%d] Forget research %s".formatted(this.town,this.research.getName());
		else
			return "[%d] Research %s".formatted(this.town,this.research.getName());
	}
	
}
